POSTeth_call

Execute a read-only contract method without creating or broadcasting a transaction. Primarily used to read the current state of a smart contract. No state changes occur as a result of the call.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Pass the following parameters as an array with the appropriate types.

  1. call object - Contract address and call data.
  2. block identifier - Block number, block hash, or block tag.
  3. state override set - Optional state overrides for the call.
params[0]object
fromstring

The transaction sender (from) address as a string.

tostring

The transaction recipient (to) address as a string.

gasstring

The gas limit for the transaction as a hex string. For smart contract calls, use 0x0 since no gas is consumed.

gasPricestring

The gas price per unit as a hex string.

valuestring

The value (amount) for the transaction.

datastring

The method signature hash of the call. See ABI for reference.

params[1]string

Use one of block hash, block number, or block tag to specify a block.

  • Block number: hex string (ex. "0x1")
  • Block hash: 64-character hex string (ex. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
  • Block tag: enum string (ex. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses

응답 본문이 없습니다.

X-API-KEY
RequestCU23
cURL
curl -X POST "https://avalanche-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "eth_call",
  "params": [
    {
      "to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "data": "0x70a08231000000000000000000000000d8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
    },
    "latest"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": "0x0000000000000000000000000000000000000000000000000000028ec55d5a09"
}